<?php



$tdatatb_paciente = array();
$tdatatb_paciente[".searchableFields"] = array();
$tdatatb_paciente[".ShortName"] = "tb_paciente";
$tdatatb_paciente[".OwnerID"] = "";
$tdatatb_paciente[".OriginalTable"] = "tb_paciente";


$tdatatb_paciente[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_paciente[".originalPagesByType"] = $tdatatb_paciente[".pagesByType"];
$tdatatb_paciente[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_paciente[".originalPages"] = $tdatatb_paciente[".pages"];
$tdatatb_paciente[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_paciente[".originalDefaultPages"] = $tdatatb_paciente[".defaultPages"];

//	field labels
$fieldLabelstb_paciente = array();
$fieldToolTipstb_paciente = array();
$pageTitlestb_paciente = array();
$placeHolderstb_paciente = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelstb_paciente["English"] = array();
	$fieldToolTipstb_paciente["English"] = array();
	$placeHolderstb_paciente["English"] = array();
	$pageTitlestb_paciente["English"] = array();
	$fieldLabelstb_paciente["English"]["pacienteID"] = "Paciente ID";
	$fieldToolTipstb_paciente["English"]["pacienteID"] = "";
	$placeHolderstb_paciente["English"]["pacienteID"] = "";
	$fieldLabelstb_paciente["English"]["Nome"] = "Nome";
	$fieldToolTipstb_paciente["English"]["Nome"] = "";
	$placeHolderstb_paciente["English"]["Nome"] = "";
	$fieldLabelstb_paciente["English"]["sexo"] = "Sexo";
	$fieldToolTipstb_paciente["English"]["sexo"] = "";
	$placeHolderstb_paciente["English"]["sexo"] = "";
	$fieldLabelstb_paciente["English"]["data__nasc"] = "Data  Nasc";
	$fieldToolTipstb_paciente["English"]["data__nasc"] = "";
	$placeHolderstb_paciente["English"]["data__nasc"] = "";
	$fieldLabelstb_paciente["English"]["Responsavel"] = "Responsavel";
	$fieldToolTipstb_paciente["English"]["Responsavel"] = "";
	$placeHolderstb_paciente["English"]["Responsavel"] = "";
	$fieldLabelstb_paciente["English"]["observacoes"] = "Observacoes";
	$fieldToolTipstb_paciente["English"]["observacoes"] = "";
	$placeHolderstb_paciente["English"]["observacoes"] = "";
	if (count($fieldToolTipstb_paciente["English"]))
		$tdatatb_paciente[".isUseToolTips"] = true;
}


	$tdatatb_paciente[".NCSearch"] = true;



$tdatatb_paciente[".shortTableName"] = "tb_paciente";
$tdatatb_paciente[".nSecOptions"] = 0;

$tdatatb_paciente[".mainTableOwnerID"] = "";
$tdatatb_paciente[".entityType"] = 0;

$tdatatb_paciente[".strOriginalTableName"] = "tb_paciente";

	



$tdatatb_paciente[".showAddInPopup"] = false;

$tdatatb_paciente[".showEditInPopup"] = false;

$tdatatb_paciente[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_paciente[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_paciente[".listAjax"] = false;
//	temporary
$tdatatb_paciente[".listAjax"] = false;

	$tdatatb_paciente[".audit"] = false;

	$tdatatb_paciente[".locking"] = false;


$pages = $tdatatb_paciente[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_paciente[".edit"] = true;
	$tdatatb_paciente[".afterEditAction"] = 0;
	$tdatatb_paciente[".closePopupAfterEdit"] = 1;
	$tdatatb_paciente[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_paciente[".add"] = true;
$tdatatb_paciente[".afterAddAction"] = 1;
$tdatatb_paciente[".closePopupAfterAdd"] = 1;
$tdatatb_paciente[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_paciente[".list"] = true;
}



$tdatatb_paciente[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_paciente[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_paciente[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_paciente[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_paciente[".printFriendly"] = true;
}



$tdatatb_paciente[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_paciente[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_paciente[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_paciente[".isUseAjaxSuggest"] = true;

$tdatatb_paciente[".rowHighlite"] = true;





$tdatatb_paciente[".ajaxCodeSnippetAdded"] = false;

$tdatatb_paciente[".buttonsAdded"] = false;

$tdatatb_paciente[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_paciente[".isUseTimeForSearch"] = false;


$tdatatb_paciente[".badgeColor"] = "2F4F4F";


$tdatatb_paciente[".allSearchFields"] = array();
$tdatatb_paciente[".filterFields"] = array();
$tdatatb_paciente[".requiredSearchFields"] = array();

$tdatatb_paciente[".googleLikeFields"] = array();
$tdatatb_paciente[".googleLikeFields"][] = "pacienteID";
$tdatatb_paciente[".googleLikeFields"][] = "Nome";
$tdatatb_paciente[".googleLikeFields"][] = "sexo";
$tdatatb_paciente[".googleLikeFields"][] = "data _nasc";
$tdatatb_paciente[".googleLikeFields"][] = "Responsavel";
$tdatatb_paciente[".googleLikeFields"][] = "observacoes";



$tdatatb_paciente[".tableType"] = "list";

$tdatatb_paciente[".printerPageOrientation"] = 0;
$tdatatb_paciente[".nPrinterPageScale"] = 100;

$tdatatb_paciente[".nPrinterSplitRecords"] = 40;

$tdatatb_paciente[".geocodingEnabled"] = false;










$tdatatb_paciente[".pageSize"] = 20;

$tdatatb_paciente[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_paciente[".strOrderBy"] = $tstrOrderBy;

$tdatatb_paciente[".orderindexes"] = array();

$tdatatb_paciente[".sqlHead"] = "SELECT pacienteID,  	Nome,  	sexo,  	`data _nasc`,  	Responsavel,  	observacoes";
$tdatatb_paciente[".sqlFrom"] = "FROM tb_paciente";
$tdatatb_paciente[".sqlWhereExpr"] = "";
$tdatatb_paciente[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_paciente[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_paciente[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_paciente[".highlightSearchResults"] = true;

$tableKeystb_paciente = array();
$tableKeystb_paciente[] = "pacienteID";
$tdatatb_paciente[".Keys"] = $tableKeystb_paciente;


$tdatatb_paciente[".hideMobileList"] = array();




//	pacienteID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "pacienteID";
	$fdata["GoodName"] = "pacienteID";
	$fdata["ownerTable"] = "tb_paciente";
	$fdata["Label"] = GetFieldLabel("tb_paciente","pacienteID");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "pacienteID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pacienteID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_paciente["pacienteID"] = $fdata;
		$tdatatb_paciente[".searchableFields"][] = "pacienteID";
//	Nome
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "Nome";
	$fdata["GoodName"] = "Nome";
	$fdata["ownerTable"] = "tb_paciente";
	$fdata["Label"] = GetFieldLabel("tb_paciente","Nome");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Nome";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Nome";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_paciente["Nome"] = $fdata;
		$tdatatb_paciente[".searchableFields"][] = "Nome";
//	sexo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "sexo";
	$fdata["GoodName"] = "sexo";
	$fdata["ownerTable"] = "tb_paciente";
	$fdata["Label"] = GetFieldLabel("tb_paciente","sexo");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "sexo";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "sexo";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_paciente["sexo"] = $fdata;
		$tdatatb_paciente[".searchableFields"][] = "sexo";
//	data _nasc
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "data _nasc";
	$fdata["GoodName"] = "data__nasc";
	$fdata["ownerTable"] = "tb_paciente";
	$fdata["Label"] = GetFieldLabel("tb_paciente","data__nasc");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "data _nasc";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`data _nasc`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_paciente["data _nasc"] = $fdata;
		$tdatatb_paciente[".searchableFields"][] = "data _nasc";
//	Responsavel
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "Responsavel";
	$fdata["GoodName"] = "Responsavel";
	$fdata["ownerTable"] = "tb_paciente";
	$fdata["Label"] = GetFieldLabel("tb_paciente","Responsavel");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Responsavel";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Responsavel";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_paciente["Responsavel"] = $fdata;
		$tdatatb_paciente[".searchableFields"][] = "Responsavel";
//	observacoes
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "observacoes";
	$fdata["GoodName"] = "observacoes";
	$fdata["ownerTable"] = "tb_paciente";
	$fdata["Label"] = GetFieldLabel("tb_paciente","observacoes");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "observacoes";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "observacoes";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=500";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_paciente["observacoes"] = $fdata;
		$tdatatb_paciente[".searchableFields"][] = "observacoes";


$tables_data["tb_paciente"]=&$tdatatb_paciente;
$field_labels["tb_paciente"] = &$fieldLabelstb_paciente;
$fieldToolTips["tb_paciente"] = &$fieldToolTipstb_paciente;
$placeHolders["tb_paciente"] = &$placeHolderstb_paciente;
$page_titles["tb_paciente"] = &$pageTitlestb_paciente;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_paciente"] = array();
//	tb_consultas
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="tb_consultas";
		$detailsParam["dOriginalTable"] = "tb_consultas";



				$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "tb_consultas";
	$detailsParam["dCaptionTable"] = GetTableCaption("tb_consultas");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["tb_paciente"][$dIndex] = $detailsParam;

	
		$detailsTablesData["tb_paciente"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["tb_paciente"][$dIndex]["masterKeys"][]="pacienteID";

				$detailsTablesData["tb_paciente"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["tb_paciente"][$dIndex]["detailKeys"][]="pacID";
//	tb_historico
	
	

		$dIndex = 1;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="tb_historico";
		$detailsParam["dOriginalTable"] = "tb_historico";



				$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "tb_historico";
	$detailsParam["dCaptionTable"] = GetTableCaption("tb_historico");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["tb_paciente"][$dIndex] = $detailsParam;

	
		$detailsTablesData["tb_paciente"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["tb_paciente"][$dIndex]["masterKeys"][]="pacienteID";

				$detailsTablesData["tb_paciente"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["tb_paciente"][$dIndex]["detailKeys"][]="pacID";
//	tb_itens_higiene
	
	

		$dIndex = 2;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="tb_itens_higiene";
		$detailsParam["dOriginalTable"] = "tb_itens_higiene";



				$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "tb_itens_higiene";
	$detailsParam["dCaptionTable"] = GetTableCaption("tb_itens_higiene");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["tb_paciente"][$dIndex] = $detailsParam;

	
		$detailsTablesData["tb_paciente"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["tb_paciente"][$dIndex]["masterKeys"][]="pacienteID";

				$detailsTablesData["tb_paciente"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["tb_paciente"][$dIndex]["detailKeys"][]="pacID";

// tables which are master tables for current table (detail)
$masterTablesData["tb_paciente"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_paciente()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "pacienteID,  	Nome,  	sexo,  	`data _nasc`,  	Responsavel,  	observacoes";
$proto0["m_strFrom"] = "FROM tb_paciente";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "pacienteID",
	"m_strTable" => "tb_paciente",
	"m_srcTableName" => "tb_paciente"
));

$proto6["m_sql"] = "pacienteID";
$proto6["m_srcTableName"] = "tb_paciente";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "Nome",
	"m_strTable" => "tb_paciente",
	"m_srcTableName" => "tb_paciente"
));

$proto8["m_sql"] = "Nome";
$proto8["m_srcTableName"] = "tb_paciente";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "sexo",
	"m_strTable" => "tb_paciente",
	"m_srcTableName" => "tb_paciente"
));

$proto10["m_sql"] = "sexo";
$proto10["m_srcTableName"] = "tb_paciente";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "data _nasc",
	"m_strTable" => "tb_paciente",
	"m_srcTableName" => "tb_paciente"
));

$proto12["m_sql"] = "`data _nasc`";
$proto12["m_srcTableName"] = "tb_paciente";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "Responsavel",
	"m_strTable" => "tb_paciente",
	"m_srcTableName" => "tb_paciente"
));

$proto14["m_sql"] = "Responsavel";
$proto14["m_srcTableName"] = "tb_paciente";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "observacoes",
	"m_strTable" => "tb_paciente",
	"m_srcTableName" => "tb_paciente"
));

$proto16["m_sql"] = "observacoes";
$proto16["m_srcTableName"] = "tb_paciente";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto18=array();
$proto18["m_link"] = "SQLL_MAIN";
			$proto19=array();
$proto19["m_strName"] = "tb_paciente";
$proto19["m_srcTableName"] = "tb_paciente";
$proto19["m_columns"] = array();
$proto19["m_columns"][] = "pacienteID";
$proto19["m_columns"][] = "Nome";
$proto19["m_columns"][] = "sexo";
$proto19["m_columns"][] = "data _nasc";
$proto19["m_columns"][] = "Responsavel";
$proto19["m_columns"][] = "observacoes";
$obj = new SQLTable($proto19);

$proto18["m_table"] = $obj;
$proto18["m_sql"] = "tb_paciente";
$proto18["m_alias"] = "";
$proto18["m_srcTableName"] = "tb_paciente";
$proto20=array();
$proto20["m_sql"] = "";
$proto20["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto20["m_column"]=$obj;
$proto20["m_contained"] = array();
$proto20["m_strCase"] = "";
$proto20["m_havingmode"] = false;
$proto20["m_inBrackets"] = false;
$proto20["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto20);

$proto18["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto18);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_paciente";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_paciente = createSqlQuery_tb_paciente();


	
		;

						

$tdatatb_paciente[".sqlquery"] = $queryData_tb_paciente;

$tableEvents["tb_paciente"] = new eventsBase;
$tdatatb_paciente[".hasEvents"] = false;

?>